获取 userFlowApiConnectorConfiguration

命名空间:microsoft.graph

获取 b2xIdentityUserFlow 中的 apiConnectorConfiguration 属性,详细介绍为用户流启用的 API 连接器。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) IdentityUserFlow.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 IdentityUserFlow.ReadWrite.All

工作或学校帐户需要属于以下角色之一:

  • 全局管理员
  • 外部标识用户Flow管理员

HTTP 请求

GET identity/b2xUserFlows/{id}/apiConnectorConfiguration

可选的查询参数

此方法支持 $expand OData 查询参数,以帮助自定义响应。 例如,若要检索 API 连接器的 postFederationSignuppostAttributeCollection 步骤,请添加 $expand=postFederationSignup,postAttributeCollection。 若要了解一般信息,请参阅 OData 查询参数

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法将返回 200 OK 响应代码和 apiConnectorConfiguration 对象。

示例

请求

下面展示了示例请求。

GET https://graph.microsoft.com/v1.0/identity/b2xUserFlows/B2X_1_testuserflow/apiConnectorConfiguration?$expand=postFederationSignup,postAttributeCollection

响应

下面展示了示例响应。

HTTP/1.1 200 OK
Content-Type: application/json

{
    "@odata.context": "https://graph.microsoft.com/v1.0/$metadata#identity/b2xUserFlows('B2X_1_testuserflow')/apiConnectorConfiguration(postFederationSignup(),postAttributeCollection())",
    "postFederationSignup": {
        "id": "74d13179-2c02-4ae7-bff3-82842d4e2f1f",
        "displayName": "Test API Connector 1",
        "targetUrl": "https://someapi.com/api/endpoint",
        "authenticationConfiguration": {
            "@odata.type": "#microsoft.graph.basicAuthentication",
            "username": "apiAccount",
            "password": "******"
        }
    },
    "postAttributeCollection": {
        "id": "900bc92c-bcbf-4093-af8e-450a4a77635f",
        "displayName": "Test API Connector 2",
        "targetUrl": "https://someotherapi.com/api/endpoint",
        "authenticationConfiguration": {
            "@odata.type": "#microsoft.graph.basicAuthentication",
            "username": "apiAccount",
            "password": "******"
        }
    }
}